﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Models.MaintenanceAthletesSportsInfoViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    SportsInfoView
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript">

        function onEditSportsInfo(e) {
            if (e.model.isNew()) {
            }
        }

        function onInsertSportsInfo(e) {
            if (e.model.isNew()) {
            }
        }

        function onSportRequestEnd(e) {
            if (e.type == "create" || e.type == "update" || e.type == "destroy") {
                $("#Sports").data("kendoGrid").dataSource.read();
            }
        }

        function onUpdateSport(e) {
            return { resourceSportId: e.ResourceSportId }
        }

        function onEditAthletesBenchmark(e) {

            if (e.model.isNew()) {
                var update = $(e.container).parent().find(".k-grid-update");
                $(update).html('<span class="k-icon k-update"></span>Insert');
            }
        }

        function onInsertAthletesBenchmark(e) {
            if (e.model.isNew()) {
            }
        }

        function onBenchMarkRequestEnd(e) {
            if (e.type == "create" || e.type == "update" || e.type == "destroy") {
//                $("#Sports").data("kendoGrid").dataSource.read();
                this.read();
            }
        }

        function onUpdateBenchmark(e) {
            return { benchmarkResourceId: e.BenchmarkResourceId, resourceSportId: e.ResourceSportId }
        }

   </script>

    <% Html.Kendo().Grid<Models.MaintenanceAthletesSportsInfoViewModel>()
        .Name("Sports")
        .TableHtmlAttributes(new { style = "font-size:8pt;" })
        .HtmlAttributes(new { style = "height:430px;width:1100px" })
        .DataSource(dataSource => dataSource
                .Ajax()
                .Model(model => model.Id(a => a.ResourceSportId))
                .ServerOperation(true)
                .Events(e => e.RequestEnd("onSportRequestEnd"))
                .Create(create => create.Action("InsertSport", "Home", new { resourceId = ViewBag.ResourceId }))
                .Read(read => read.Action("SportsInfoAjax", "Home", new { resourceId = ViewBag.ResourceId }))
                .Update(update => update.Action("UpdateSport", "Home").Data("onUpdateSport"))
                .Destroy(destroy => destroy.Action("DeleteSport", "Home").Data("onUpdateSport"))
            )
        .ToolBar(t =>
            {
                t.Create();
            })
        .Editable(e => e.Mode(Kendo.Mvc.UI.GridEditMode.InLine).Enabled(true))
        .Events(e => e.Save("onInsertSportsInfo")
                        .Edit("onEditSportsInfo")
           //.DataBound("onSportsInfoDataBound")
            )
        .Pageable(pager => pager.Input(true)
                                .Refresh(true)
                                .PageSizes(new[] { 10, 20, 30 })
            )
        .Scrollable(scrolling => scrolling.Height(350))
        .Resizable(resize => resize.Columns(true))
        .Sortable()
        .Filterable()
        .ClientDetailTemplateId("BenchmarksTemplate")
        .Columns(columns =>
        {
            columns.Bound(s => s.SportName)
                .Width(130);
            columns.Bound(s => s.DisciplineName)
                .Width(140);
            columns.Bound(s => s.EventName)
                .Width(130);
            columns.Bound(s => s.YearId)
                .Width(100);
            columns.Bound(s => s.ResourceClassName)
                .Width(100);
            columns.Bound(s => s.EventCoachName)
                .HeaderHtmlAttributes(new { title = "Coach Name" })
                .Width(110);
            //columns.Bound(s => s.SportTrackingRef)
            //    .Width(80);
            //columns.Bound(s => s.Benchmark)
            //    .HeaderHtmlAttributes(new { title = "Benchmark" })
            //    .HtmlAttributes(new { style = "text-align:center" })
            //    .ClientTemplate("# if (Benchmark == false) { #" + "<div class='sprite sprite-Delete16'></div>" + "# } #")
            //    .Width(80);
            columns.Bound(s => s.ResourceSportId)
                .Width(60);
            columns.Bound(s => s.HasComments)
                .HeaderHtmlAttributes(new { title = "Comments" })
                //.ClientTemplate("<div class='sprite sprite-note' onclick='openCommentWindow('ResourceSport', '<#= ResourceSportId #>', '<#= EventName #>', '" + Model.Editable + "', 'true');'></div>")
                //.ClientTemplate("<span onclick=\"openCommentWindow('ResourceSport', '<#= ResourceSportId #>', '<#= EventName #>', '" + Model.Editable + "', 'true');\" class=\"comment sprite sprite-<#= HasComments ? \"note\" : \"note_none\" #>\"></span>")
                .Width(40);
            columns.Command(commands =>
            {
                commands.Edit();
                commands.Destroy();
            })
            .Width(175);
            columns.Bound(s => s.ResourceId).Hidden(true);
        }).Render();
               
    %>

    <script id="BenchmarksTemplate" type="text/kendo-tmpl">

       <%= Html.Kendo().Grid<Models.MaintenanceAthletesBenchmarkSportsViewModel>()
            .Name("Sports_#=ResourceSportId#")
            .HtmlAttributes(new { Style = "width:1000px" })
            .DataSource(dataSource => dataSource
                    .Ajax()
                    .Model(model => model.Id(a => a.BenchmarkResourceId))
                    .ServerOperation(false)
                    .Events(e => e.RequestEnd("onBenchMarkRequestEnd"))
                    .Create(create => create.Action("InsertBenchmark", "Home", new { parentResourceSportId = "#=ResourceSportId#" }))
                    .Read(read => read.Action("BenchmarkSportsAjax", "Home", new { parentResourceSportId = "#=ResourceSportId#" }))
                    .Update(update => update.Action("UpdateBenchmark", "Home").Data("onUpdateBenchmark"))
                    .Destroy(destroy => destroy.Action("DeleteBenchmark", "Home").Data("onUpdateBenchmark"))
                )
            .ToolBar(toolbar =>
                {
                    toolbar.Create();
                })
            .Editable(e => e.Mode(Kendo.Mvc.UI.GridEditMode.InLine).Enabled(true))
            .Events(e => e.Save("onInsertAthletesBenchmark")
                          .Edit("onEditAthletesBenchmark")
                )
            .Pageable(pager => pager.Input(true)
                                    .Refresh(true)
                                    .PageSizes(new[] { 10, 20, 30 })
                )
            .Sortable()
            .Resizable(resize => resize.Columns(true))
            .Filterable()
            .Columns(columns =>
            {
                columns.Bound(b => b.BenchmarkTypeName)
                    .Width(180);
                columns.Bound(b => b.BenchmarkTierName)
                    .Width(180);
                columns.Bound(b => b.NSOValue)
                    .Width(180);
                columns.Bound(b => b.OTPValue)
                    .Width(180);
                columns.Bound(b => b.HasComments)
                    .HeaderHtmlAttributes(new { title = "Comments" })
                    .Width(40)
                    .Filterable(false);
                columns.Command(commands =>
                {
                    commands.Edit();
                    commands.Destroy();
                })
                .Width(175);
            })
            .ToClientTemplate()        

      %>

    </script>


</asp:Content>

