﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<dynamic>" %>

<script type="text/javascript">

    function openCommentWindow(tableName, primaryKey, windowTitle, editableGrid, editableRow) {

        var editable = (editableGrid.toLowerCase() == 'true' && editableRow.toLowerCase() == 'true');

        if (windowTitle === "")
        {
            windowTitle = "Comment";
        }
        else
        {
            windowTitle = "Comment - " + windowTitle;
        }

        if (editable) 
        {
            $("#saveCommentsButton").removeAttr('disabled');
        }
        else
        {
            $("#saveCommentsButton").attr('disabled', 'disabled');
        }

        //Force ajax to retrieve new data each call
        var d = new Date();
        var refreshSeed = d.getTime();

        $.getJSON("/Shared/GetComments", { primaryKey: primaryKey, tableName: tableName, refresh: refreshSeed }, function (comments)
        {
            var cleanComments = unescape(comments);
            $("#CommentWindow").data("kendoWindow").title(windowTitle);

            $("#CommentWindow")
                    .find('input[name=primaryKey]').val(primaryKey).end()
                    .find('input[name=tableName]').val(tableName).end()
                    .data("kendoWindow").center().open();

            $("#editorWindowComments").data("kendoEditor").value(cleanComments);
        });
    }

    function updateComments() {

        var primaryKey = $("#CommentWindow")
                    .find('input[name=primaryKey]').val();

        var tableName = $("#CommentWindow")
                    .find('input[name=tableName]').val();

        var comments = $("#editorWindowComments").data("kendoEditor").value();
        var cleanComments = escape(comments);

        $.post("/Shared/UpdateComments", { tableName: tableName, primaryKey: primaryKey, comments: cleanComments }, null, "json");
        $("#CommentWindow").data("kendoWindow").close();
    }
</script>

    <div>
    <%
        Html.Kendo().Window()
        .Name("CommentWindow")
        .Title("set by javascript")
        .Content(() =>
            { 
                    Html.Kendo().Editor()
                        .Name("editorWindowComments")
                        .Tools(t => t.Clear())
                        .Value("")
                        .HtmlAttributes(new { style = "height:300px" })
                        .Render();

                        %> 
                        <input type="hidden" name="primaryKey" value="" />
                        <input type="hidden" name="tableName" value="" />

                        <div style="text-align:right;margin: 5px 0px 0px 0px;">
                            <input id="saveCommentsButton" type="button" value="Save" onclick="updateComments()" />
                        </div>

            <%})
        .Draggable(true)
        .Scrollable(false)
        .Resizable()
        //.Buttons(b => b.Close())
        .Width(900) /* editor toolbar gets on one line */
        .Height(350) /* accomodates editor height */
        .Modal(true)
        .Visible(false) /* window not visible on initial load */
        .Render();
                        
    %>
    </div>
        